chunker methods {chunkR} | R Documentation

## Manipulation methods for chunker objects

### Description

chunker objects can be manipulated with the following methods:

1. next_chunk: allows to read the next chunk of a chunker object

2. get_table: retrieve the current data chunk contained in the object

In addition, the following information can be retrieved from chunker objects:

1. get_completed: get the number of rows already read

2. get_colnames: get column names of the chunker object

### Usage

    next_chunk(obj)

    ## S4 method for signature 'chunker'
    next_chunk(obj)

    get_table(obj)

    ## S4 method for signature 'chunker'
    get_table(obj)

    get_colnames(obj)

    ## S4 method for signature 'chunker'
    get_colnames(obj)

    get_completed(obj)

    ## S4 method for signature 'chunker'
    get_completed(obj)

    get_total(obj)

    ## S4 method for signature 'chunker'
    get_total(obj)

    get_type(obj)

    ## S4 method for signature 'chunker'
    get_type(obj)

    get_attr(obj)

    ## S4 method for signature 'chunker'
    get_attr(obj)

### Arguments

`obj` | object of class chunker

### Details

See `chunker` for examples.

[Package chunkR version 1.1.1 Index]